### Virtual Method

# Nautilus FileInfo get_mime_type

#### Declaration [src]

    char*
    get_mime_type (
      NautilusFileInfo* file_info
    )

#### Description [src]

Get the cached mime_type.

#### Return value

Type: `char*`

The MIME type of `file_info`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.